#include <catch2/catch.hpp>
#include <alib/vector>

#include "testing/TimeoutAqlTest.hpp"
#include "testing/TestFiles.hpp"

TEST_CASE ( "Dummy Test", "[integration][dummy][!mayfail][!hide]" ) {
	ext::vector < std::string > qs = {
		"execute 1",
		"exec"
	};

	TimeoutAqlTest ( 1s, qs );
}

TEST_CASE ( "Segfault Test", "[integration][dummy][!shouldfail][!hide]" ) {
	ext::vector < std::string > qs = {
		"execute debug::Random @ int",
		"execute debug::Segfault"
	};

	TimeoutAqlTest ( 1s, qs );
}

TEST_CASE ( "Timeout Test", "[integration][dummy][!hide]" ) {
	ext::vector < std::string > qs = {
		"execute \"generated some output\"",
	};

	TimeoutAqlTest ( 1us, qs );
}
